array type handling bug in libecpg.so.6.3, confirmed, patch attached

Bug #1063613 reported by Dan Searle on 2012-10-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
postgresql-9.1 (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Medium
Unassigned

Bug Description

I found a bug in libecpg.so.6.3, which according to Michael Meskes was introduced in the postgresql 9.0 source tree.

I have included a test application which works fine on Postgresql 8.4 (libecpg.so.6.1), but fails using Postgresql 9.1 (libecpg.so.6.3).

After confirming the bug with Michael, he came up with this patch. Can it be added to the Ubuntu package sources please?...

Upstream fix: http://git.postgresql.org/gitweb/?p=postgresql.git;a=commitdiff;h=6e41fa2e5cd84d0970f1ee1d9c9767dbc974952a

Dan Searle (dan-censornet) wrote :
Dan Searle (dan-censornet) wrote :

Just got his response from Michael...

> Does this fix have a tracking number or code of some sort
> which I can inform the Ubuntu package maintainers? I want to get the

It was git commit 856ce0fb563a630ddd07dfad8cb4d8eb1d601b77 in the 9.1 branch.

> fix into the Ubuntu 12.04 postgressql-9.1 amd64 package as soon as
> possible.

Feel free to point Martin to me, if there are questions.

Martin Pitt (pitti) on 2012-10-18
description: updated
Martin Pitt (pitti) wrote :

Patch applied in Debian packaging branch, so it will be fixed in raring by syncing from Debian at the next upload, or by copying the package from quantal-proposed: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-9.1/trunk/revision/353

Preparing SRUs for precise and quantal now.

Changed in postgresql-9.1 (Ubuntu Raring):
importance: Undecided → Medium
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Uploaded to quantal-proposed review queue.

Changed in postgresql-9.1 (Ubuntu Quantal):
status: New → In Progress
Martin Pitt (pitti) wrote :

Uploaded to precise-proposed review queue.

Changed in postgresql-9.1 (Ubuntu Precise):
status: New → In Progress

Hello Dan, or anyone else affected,

Accepted into quantal-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in postgresql-9.1 (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Dan Searle (dan-censornet) wrote :

I'm trying to test the proposed postgresql-9.1 package, however, I'm finding it impossible to get apt to download the correct achive.

I have followed all the instructions below, and here's a quick grep from apt-get update:

root@ubuntu:/home/dan# apt-get update | grep proposed
Ign http://gb.archive.ubuntu.com precise-proposed InRelease
Hit http://gb.archive.ubuntu.com precise-proposed Release.gpg
Hit http://gb.archive.ubuntu.com precise-proposed Release
Hit http://gb.archive.ubuntu.com precise-proposed/main Sources
Hit http://gb.archive.ubuntu.com precise-proposed/multiverse Sources
Hit http://gb.archive.ubuntu.com precise-proposed/universe Sources
Hit http://gb.archive.ubuntu.com precise-proposed/main amd64 Packages
Hit http://gb.archive.ubuntu.com precise-proposed/multiverse amd64 Packages
Hit http://gb.archive.ubuntu.com precise-proposed/universe amd64 Packages
Hit http://gb.archive.ubuntu.com precise-proposed/main i386 Packages
Hit http://gb.archive.ubuntu.com precise-proposed/multiverse i386 Packages
Hit http://gb.archive.ubuntu.com precise-proposed/universe i386 Packages
Hit http://gb.archive.ubuntu.com precise-proposed/main TranslationIndex
Hit http://gb.archive.ubuntu.com precise-proposed/multiverse TranslationIndex
Hit http://gb.archive.ubuntu.com precise-proposed/universe TranslationIndex
Hit http://gb.archive.ubuntu.com precise-proposed/main Translation-en_GB
Hit http://gb.archive.ubuntu.com precise-proposed/main Translation-en
Hit http://gb.archive.ubuntu.com precise-proposed/multiverse Translation-en_GB
Hit http://gb.archive.ubuntu.com precise-proposed/multiverse Translation-en
Hit http://gb.archive.ubuntu.com precise-proposed/universe Translation-en_GB
Hit http://gb.archive.ubuntu.com precise-proposed/universe Translation-en

root@ubuntu:/home/dan# apt-get install postgresql-9.1/precise-proposed libecpg6/precise-proposed
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Release âprecise-proposedâ for âpostgresql-9.1â was not found
E: Release âprecise-proposedâ for âlibecpg6â was not found

Is the "gb.archive.ubuntu.com" repository not suitable? What am I doing wrong here?

Dan...

Dan Searle (dan-censornet) wrote :

I have tested the proposed postgresql-9.1 packages and can confirm that the fix works in my test case, and in my real case which initially triggered by bug report.

Basically: tested, fix confirmed.

Martin Pitt (pitti) wrote :

Dan, it seems you tested the precise update. Any chance to test the quantal one as well? Thanks!

Changed in postgresql-9.1 (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-done-precise
Martin Pitt (pitti) wrote :

I can reproduce the bug with the attached test case with 9.1.6-1 from quantal final, and confirm that 9.1.6-1ubuntu1 fixes the bug.

tags: added: verification-done
removed: verification-done-precise verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package postgresql-9.1 - 9.1.6-0ubuntu12.04.1

---------------
postgresql-9.1 (9.1.6-0ubuntu12.04.1) precise-proposed; urgency=low

  * Add debian/patches/00git_ecpg_array_bounds.patch: Fix test for array
    boundary in ecpg. Patch backported from upstream git. (LP: #1063613)
 -- Martin Pitt <email address hidden> Thu, 18 Oct 2012 17:36:30 +0200

Changed in postgresql-9.1 (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package postgresql-9.1 - 9.1.6-1ubuntu1

---------------
postgresql-9.1 (9.1.6-1ubuntu1) quantal-proposed; urgency=low

  * Add debian/patches/00git_ecpg_array_bounds.patch: Fix test for array
    boundary in ecpg. Patch backported from upstream git. (LP: #1063613)
 -- Martin Pitt <email address hidden> Thu, 18 Oct 2012 17:31:07 +0200

Changed in postgresql-9.1 (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package postgresql-9.1 - 9.1.6-1ubuntu2

---------------
postgresql-9.1 (9.1.6-1ubuntu2) raring; urgency=low

  * Add patch for python3.3 support
  * Rebuild against python3.3.

postgresql-9.1 (9.1.6-1ubuntu1) quantal-proposed; urgency=low

  * Add debian/patches/00git_ecpg_array_bounds.patch: Fix test for array
    boundary in ecpg. Patch backported from upstream git. (LP: #1063613)
 -- Dmitrijs Ledkovs <email address hidden> Wed, 31 Oct 2012 17:15:09 +0100

Changed in postgresql-9.1 (Ubuntu Raring):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers